#!/bin/bash
# © Copyright [2016 - 2020] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.


if [ $# != 1 ] ; then
        echo "Invalid arguments - $@"
        echo "$0 cis-service-name"
        exit 1
fi

#Does container exist?
docker inspect $1 &>/dev/null
if [ $? == 0 ] ; then

#Stop container so that systemd will not restart container
        if [ $(docker inspect -f '{{.State.Running}}' $1) = "true" ]; then
                echo "Stopping $1 container..."
                /usr/bin/docker stop $1 > /dev/null
        fi

#User force removal of container to handle any inconsistent state
        echo "Removing $1 container..."
        /usr/bin/docker rm -f $1 > /dev/null
fi
exit 0